<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="struct" refid="structcy__stc__dfu__enter__t"><name>cy_stc_dfu_enter_t</name>
    <member kind="variable" refid="structcy__stc__dfu__enter__t_1a2235d2fe4b40fb392f16a1bea94000ab"><name>enterSiliconId</name></member>
    <member kind="variable" refid="structcy__stc__dfu__enter__t_1a3a914152df65a2f24c6921fb8fce3876"><name>enterRevision</name></member>
    <member kind="variable" refid="structcy__stc__dfu__enter__t_1ac05a26255f9e529566ba270c1652a68e"><name>enterDFUVersion</name></member>
  </compound>
  <compound kind="struct" refid="structcy__stc__dfu__params__t"><name>cy_stc_dfu_params_t</name>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1af8a1cf06e15fae5ed56840b92938e176"><name>dataBuffer</name></member>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1ae93116a573d35a278c7630f68c904c43"><name>dataOffset</name></member>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1a0c50ecc808f04106a5a7fbbc1e4022b6"><name>packetBuffer</name></member>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1a65c877d47227fa78b629359fab0b417e"><name>timeout</name></member>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1ac1ea5832fe23467ea98d2760f0d87a6b"><name>appId</name></member>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1aa316309fbc14b2984aea6f9545e2c995"><name>appVerified</name></member>
    <member kind="variable" refid="structcy__stc__dfu__params__t_1af12b92bf3c15d572c0e1746c3742e27d"><name>initCtl</name></member>
  </compound>
  <compound kind="file" refid="cy__dfu_8c"><name>cy_dfu.c</name>
    <member kind="define" refid="cy__dfu_8c_1a99b4649288a13cdc67a68dee6472d27a"><name>CySoftwareReset</name></member>
    <member kind="function" refid="cy__dfu_8c_1a6865b771d0f856548be1f5a029400a6a"><name>ElfSymbolToAddr</name></member>
    <member kind="function" refid="cy__dfu_8c_1a4b3901dd037719fd0a20962673887b5c"><name>SwitchToApp</name></member>
    <member kind="function" refid="cy__dfu_8c_1add2c18690d9fe865acff2b066a7cf0eb"><name>GetU16</name></member>
    <member kind="function" refid="cy__dfu_8c_1a16892858a7012b17d87401d6fff55ab8"><name>GetU32</name></member>
    <member kind="function" refid="cy__dfu_8c_1af0b130aef6b71ebb50fbe4ba2956ec5f"><name>PutU16</name></member>
    <member kind="function" refid="cy__dfu_8c_1a246ec8e45aef568647ee70860d8d98ad"><name>PacketChecksumIndex</name></member>
    <member kind="function" refid="cy__dfu_8c_1a3ad73205a353de3195c5b681dd26d9a9"><name>PacketEopIndex</name></member>
    <member kind="function" refid="cy__dfu_8c_1a22f832a586df35dba48aae5480efaa63"><name>GetPacketCommand</name></member>
    <member kind="function" refid="cy__dfu_8c_1aa0a22e24081e6976ccfedab57e0d1133"><name>GetPacketDSize</name></member>
    <member kind="function" refid="cy__dfu_8c_1aa9257b0ee194c5ddd91ffd00db2ee7d1"><name>GetPacketData</name></member>
    <member kind="function" refid="cy__dfu_8c_1a1b2e09545929adbcb71d55a9045352f6"><name>GetPacketChecksum</name></member>
    <member kind="function" refid="cy__dfu_8c_1acfae3044f84885ca85ce6d153d7eab52"><name>ValidatePacketFooter</name></member>
    <member kind="function" refid="cy__dfu_8c_1ad3ca31c83e9931e6be05fe78b2a5c493"><name>SetPacketHeader</name></member>
    <member kind="function" refid="cy__dfu_8c_1a273ce4e4c34865a657214d1269e17101"><name>SetPacketCmd</name></member>
    <member kind="function" refid="cy__dfu_8c_1aaa147778f91115657bdc32709ff5ec9f"><name>SetPacketDSize</name></member>
    <member kind="function" refid="cy__dfu_8c_1ae3692d1864cda10377972ede973f8b12"><name>SetPacketChecksum</name></member>
    <member kind="function" refid="cy__dfu_8c_1a2b3f4d35b377b805acf01bd89d4005c1"><name>SetPacketFooter</name></member>
    <member kind="function" refid="cy__dfu_8c_1aa8b4d624690923eab58f27b17e2b6982"><name>PacketChecksum</name></member>
    <member kind="function" refid="cy__dfu_8c_1a10d6f5b0ab3bd9562c825b7b78cc9058"><name>VerifyPacket</name></member>
    <member kind="function" refid="cy__dfu_8c_1a806a6fe5d5ce557e33a0a78eae3e5848"><name>ReadVerifyPacket</name></member>
    <member kind="function" refid="cy__dfu_8c_1ab033eaf897d145994525483680fc14f8"><name>WritePacket</name></member>
    <member kind="function" refid="cy__dfu_8c_1aff407936da7941ceedac0a197dc99f9a"><name>EnterResponse</name></member>
    <member kind="function" refid="cy__dfu_8c_1a36686812a6cd18dd985394f5e95b83bc"><name>CopyToDataBuffer</name></member>
    <member kind="function" refid="cy__dfu_8c_1a3ec7ead67313f8c3776e9e9b85d462e9"><name>CommandEnter</name></member>
    <member kind="function" refid="cy__dfu_8c_1ac27f31c78e398672a5b1a158e3021c03"><name>CommandProgramData</name></member>
    <member kind="function" refid="cy__dfu_8c_1af047f6d5fbbf63861803d1c46395b4c5"><name>CommandSetAppMetadata</name></member>
    <member kind="function" refid="cy__dfu_8c_1adcfc4dd41e807a3c7ae9d188aa2cecf2"><name>CommandUnsupported</name></member>
    <member kind="function" refid="cy__dfu_8c_1a3d165dc732459760bc5a9ead3d7a2867"><name>ContinueHelper</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga52a82b43fb374e27f969051f7f70db31"><name>Cy_DFU_Complete</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga803512d54a676efd3ecfd12f531c2e30"><name>Cy_DFU_Init</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga462d2b960d0a1420bd365cbb12173266"><name>Cy_DFU_ExecuteApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaa1fc0e9cb067e892674f0f7a2ba01317"><name>Cy_DFU_SwitchToApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga17d8b5157dc842d05115cf41fef4221d"><name>Cy_DFU_GetAppMetadata</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gae4eed95b94cdb006c79e2036f01d7fc4"><name>Cy_DFU_ValidateApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6e8ba375e3199d481b534deaca54f514"><name>Cy_DFU_GetRunningApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga4e2ab4649104775358b885daada90b11"><name>Cy_DFU_CopyApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6e0defdaf9adb2e5663dc6144dc6823a"><name>Cy_DFU_OnResetApp0</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga9709777e59f6cbdc9ca70c1ca041e414"><name>Cy_DFU_ReadData</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga9f589c0df780bd29477ab4d73cf4063b"><name>Cy_DFU_WriteData</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga90b9eb04aca4959c02e313aca13414ca"><name>Cy_DFU_TransportRead</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga47b4a59a539863b1581d4ddcce701b9e"><name>Cy_DFU_TransportWrite</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaf440cbe4ded2f8090c51fe7c23a00e8c"><name>Cy_DFU_TransportReset</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga0e7830c2493ba3b3798412ddbd826ff8"><name>Cy_DFU_TransportStart</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaa979bcdabc0bb7dc392be24a25986ca9"><name>Cy_DFU_TransportStop</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gac6ad56bd9a22e13e2e5de12febcb0f70"><name>Cy_DFU_ValidateMetadata</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga0e8abd7c08bb69765fc628249c4268fb"><name>Cy_DFU_DataChecksum</name></member>
    <member kind="function" refid="cy__dfu_8c_1a5dab97043fce24e8327f50fdd2fb5647"><name>CommandUnsupported</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6514a9d999be746edc406fcf764d07f5"><name>Cy_DFU_Continue</name></member>
  </compound>
  <compound kind="file" refid="cy__dfu_8h"><name>cy_dfu.h</name>
    <member kind="define" refid="group__group__dfu__macro_1ga70e30cc482773f5a3694dafc21cbe0b6"><name>CY_DFU_SDK_MW_VERSION_MAJOR</name></member>
    <member kind="define" refid="group__group__dfu__macro_1gae963703086143c107ae909273bd6d18b"><name>CY_DFU_SDK_MW_VERSION_MINOR</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1ga76b0c3dd7c206fa94c2c93c44f1517c0"><name>CY_DFU_STATE_NONE</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1gac52da0b4bc0d00ccef1726e7ab639817"><name>CY_DFU_STATE_UPDATING</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1ga75352e8101b5fe7c4de37f86b06f1d18"><name>CY_DFU_STATE_FINISHED</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1gab0ee6f2a05184dcf2ded6f3e1c6ff74b"><name>CY_DFU_STATE_FAILED</name></member>
    <member kind="define" refid="group__group__dfu__macro_1ga25cc6cfb1eed718469ab8d6514279ea1"><name>CY_DFU_PACKET_MIN_SIZE</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gade4dad61ecfa46841e8c233414aef58d"><name>CY_DFU_CMD_ENTER</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gab810488eee0b2be140ac6d80d1497097"><name>CY_DFU_CMD_EXIT</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga7e69153d520986ec83d57d7f43b4fd30"><name>CY_DFU_CMD_PROGRAM_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga339c291d89a191150b80818bcf4ee839"><name>CY_DFU_CMD_VERIFY_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gafeae8b3b009e4cad8e7bb098fd43856a"><name>CY_DFU_CMD_ERASE_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gad917390699bec1874b2011e7be8ecddd"><name>CY_DFU_CMD_VERIFY_APP</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga210f6fadc9b1684177b1c7054a6002a6"><name>CY_DFU_CMD_SEND_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga5b40dd7762112cca355e6f9a9270b3f7"><name>CY_DFU_CMD_SEND_DATA_WR</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga43945ee3541dc8a39cbe631b72165c7e"><name>CY_DFU_CMD_SYNC</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gac36e608a3343309f5c0a80c806a654a0"><name>CY_DFU_CMD_SET_APP_META</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga684f282c762894a5e4a785fc54dc65b1"><name>CY_DFU_CMD_GET_METADATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga84d59b1fe91358caf8ae4cb4a50c12ea"><name>CY_DFU_CMD_SET_EIVECTOR</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1ga7a6f678bbcde1486b640a5f0369b759e"><name>CY_DFU_IOCTL_READ</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1ga30c475dbb8c5d1d859b921cbc4cd08dd"><name>CY_DFU_IOCTL_COMPARE</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1gaaf799df3933c7ad48b14c957ba0072a9"><name>CY_DFU_IOCTL_WRITE</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1gad2c488236c6ad51d7610204a04bfcee0"><name>CY_DFU_IOCTL_ERASE</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1ga1a38e8058ec5a70fac11017d046f8253"><name>CY_DFU_IOCTL_BHP</name></member>
    <member kind="define" refid="group__group__dfu__macro__response__size_1ga4ef7793a5b1054343c7acf20931efa8e"><name>CY_DFU_RSP_SIZE_0</name></member>
    <member kind="define" refid="group__group__dfu__macro__response__size_1gac4aae8982692f775949c290d5987cb3c"><name>CY_DFU_RSP_SIZE_VERIFY_APP</name></member>
    <member kind="define" refid="group__group__dfu__macro_1gab8feb6c7e0117e05e474f17b2cfc9672"><name>CY_DFU_ID</name></member>
    <member kind="enum" refid="group__group__dfu__enums_1gafcff247e9cb8dc6c1282873b0d2dae1b"><name>cy_en_dfu_status_t</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba225cb8ce9902215fa03c9b0c77ac6e23"><name>CY_DFU_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba5ec17ddd14f6e0a3ac1ad893d3cef065"><name>CY_DFU_ERROR_VERIFY</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1baf5a9d2e477350fb87bdeb68155539051"><name>CY_DFU_ERROR_LENGTH</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba86e79bb94c1d096f3d897816f96fcfe9"><name>CY_DFU_ERROR_DATA</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1baf79dc4ab2ec0a5a8bf54b7f890e03c79"><name>CY_DFU_ERROR_CMD</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1bacad1c5902859d988b3de84e954e9b229"><name>CY_DFU_ERROR_CHECKSUM</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba6f249e03bb0423c688c1112bfb9e8430"><name>CY_DFU_ERROR_ADDRESS</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1badccb00d92664320cfae8448b0811eb09"><name>CY_DFU_ERROR_TIMEOUT</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1bae652f76c7eb8948ed28f2c3c73868e1f"><name>CY_DFU_ERROR_UNKNOWN</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1gae0e852673d2951403b49981fd433682b"><name>__cy_boot_metadata_addr</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1ga3a143bca5e1f8d9cf1b30d81fcb61f9c"><name>__cy_boot_metadata_length</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1ga535abf3fe9e92ff3a992dd501c462bf8"><name>__cy_product_id</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1ga1a0f0de51984fd00d4a54d8a47dfed4e"><name>__cy_checksum_type</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1gaa78b6fdd28920c53938e818ecea744db"><name>__cy_app_id</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1gabb7c74d6ad011f0553d02020bb5eb821"><name>__cy_app_core1_start_addr</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga52a82b43fb374e27f969051f7f70db31"><name>Cy_DFU_Complete</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga803512d54a676efd3ecfd12f531c2e30"><name>Cy_DFU_Init</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6514a9d999be746edc406fcf764d07f5"><name>Cy_DFU_Continue</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga462d2b960d0a1420bd365cbb12173266"><name>Cy_DFU_ExecuteApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaa1fc0e9cb067e892674f0f7a2ba01317"><name>Cy_DFU_SwitchToApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga0e8abd7c08bb69765fc628249c4268fb"><name>Cy_DFU_DataChecksum</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gac6ad56bd9a22e13e2e5de12febcb0f70"><name>Cy_DFU_ValidateMetadata</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gae4eed95b94cdb006c79e2036f01d7fc4"><name>Cy_DFU_ValidateApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6e8ba375e3199d481b534deaca54f514"><name>Cy_DFU_GetRunningApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga17d8b5157dc842d05115cf41fef4221d"><name>Cy_DFU_GetAppMetadata</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga4e2ab4649104775358b885daada90b11"><name>Cy_DFU_CopyApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6e0defdaf9adb2e5663dc6144dc6823a"><name>Cy_DFU_OnResetApp0</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga9709777e59f6cbdc9ca70c1ca041e414"><name>Cy_DFU_ReadData</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga9f589c0df780bd29477ab4d73cf4063b"><name>Cy_DFU_WriteData</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga90b9eb04aca4959c02e313aca13414ca"><name>Cy_DFU_TransportRead</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga47b4a59a539863b1581d4ddcce701b9e"><name>Cy_DFU_TransportWrite</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaf440cbe4ded2f8090c51fe7c23a00e8c"><name>Cy_DFU_TransportReset</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga0e7830c2493ba3b3798412ddbd826ff8"><name>Cy_DFU_TransportStart</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaa979bcdabc0bb7dc392be24a25986ca9"><name>Cy_DFU_TransportStop</name></member>
  </compound>
  <compound kind="file" refid="dfu__user_8h"><name>dfu_user.h</name>
    <member kind="define" refid="group__group__dfu__macro__config_1ga21b70d16eb321a6d2010b92c8584b782"><name>CY_DFU_SIZEOF_CMD_BUFFER</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga01f0e598d60b05879166f93ef38cecee"><name>CY_DFU_SIZEOF_DATA_BUFFER</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga93f01cd0c868966a20c08369779fc707"><name>CY_DFU_OPT_GOLDEN_IMAGE</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gaadc5be8ec2c8b42394ca06ffb123c023"><name>CY_DFU_GOLDEN_IMAGE_IDS</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga487852a71d1a8c882522140a17a6265e"><name>CY_DFU_MAX_APPS</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga5d9f0c6e9aef143e22b2673918478ee0"><name>CY_DFU_OPT_VERIFY_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga7ff76ef4e8b933a17e395b79b1aa41b0"><name>CY_DFU_OPT_ERASE_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gacc89d6371efc0645d9785b9af11a2038"><name>CY_DFU_OPT_VERIFY_APP</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gab0c72281ffb51f731d90eeea936ac916"><name>CY_DFU_OPT_SEND_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gaaca2aef06365626f3af0b14fd6e32731"><name>CY_DFU_OPT_GET_METADATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga8ddeedbbaaf29a163d6f97eeaed5cd1b"><name>CY_DFU_OPT_SET_EIVECTOR</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga9a6f60e539f696d9fc4b895d0f3a05fe"><name>CY_DFU_METADATA_WRITABLE</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gaf26d1e1c21482dd7e3e41c2b24c22637"><name>CY_DFU_OPT_CRYPTO_HW</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga143573a13abbb1bf5c430f6f663492e7"><name>CY_DFU_OPT_PACKET_CRC</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__macro"><name>group_dfu_macro</name>
    <member kind="define" refid="group__group__dfu__macro_1ga70e30cc482773f5a3694dafc21cbe0b6"><name>CY_DFU_SDK_MW_VERSION_MAJOR</name></member>
    <member kind="define" refid="group__group__dfu__macro_1gae963703086143c107ae909273bd6d18b"><name>CY_DFU_SDK_MW_VERSION_MINOR</name></member>
    <member kind="define" refid="group__group__dfu__macro_1ga25cc6cfb1eed718469ab8d6514279ea1"><name>CY_DFU_PACKET_MIN_SIZE</name></member>
    <member kind="define" refid="group__group__dfu__macro_1gab8feb6c7e0117e05e474f17b2cfc9672"><name>CY_DFU_ID</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__macro__config"><name>group_dfu_macro_config</name>
    <member kind="define" refid="group__group__dfu__macro__config_1ga21b70d16eb321a6d2010b92c8584b782"><name>CY_DFU_SIZEOF_CMD_BUFFER</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga01f0e598d60b05879166f93ef38cecee"><name>CY_DFU_SIZEOF_DATA_BUFFER</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga93f01cd0c868966a20c08369779fc707"><name>CY_DFU_OPT_GOLDEN_IMAGE</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gaadc5be8ec2c8b42394ca06ffb123c023"><name>CY_DFU_GOLDEN_IMAGE_IDS</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga487852a71d1a8c882522140a17a6265e"><name>CY_DFU_MAX_APPS</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga5d9f0c6e9aef143e22b2673918478ee0"><name>CY_DFU_OPT_VERIFY_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga7ff76ef4e8b933a17e395b79b1aa41b0"><name>CY_DFU_OPT_ERASE_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gacc89d6371efc0645d9785b9af11a2038"><name>CY_DFU_OPT_VERIFY_APP</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gab0c72281ffb51f731d90eeea936ac916"><name>CY_DFU_OPT_SEND_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gaaca2aef06365626f3af0b14fd6e32731"><name>CY_DFU_OPT_GET_METADATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga8ddeedbbaaf29a163d6f97eeaed5cd1b"><name>CY_DFU_OPT_SET_EIVECTOR</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga9a6f60e539f696d9fc4b895d0f3a05fe"><name>CY_DFU_METADATA_WRITABLE</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1gaf26d1e1c21482dd7e3e41c2b24c22637"><name>CY_DFU_OPT_CRYPTO_HW</name></member>
    <member kind="define" refid="group__group__dfu__macro__config_1ga143573a13abbb1bf5c430f6f663492e7"><name>CY_DFU_OPT_PACKET_CRC</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__functions"><name>group_dfu_functions</name>
    <member kind="function" refid="group__group__dfu__functions_1ga52a82b43fb374e27f969051f7f70db31"><name>Cy_DFU_Complete</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga803512d54a676efd3ecfd12f531c2e30"><name>Cy_DFU_Init</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6514a9d999be746edc406fcf764d07f5"><name>Cy_DFU_Continue</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga462d2b960d0a1420bd365cbb12173266"><name>Cy_DFU_ExecuteApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaa1fc0e9cb067e892674f0f7a2ba01317"><name>Cy_DFU_SwitchToApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga0e8abd7c08bb69765fc628249c4268fb"><name>Cy_DFU_DataChecksum</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gac6ad56bd9a22e13e2e5de12febcb0f70"><name>Cy_DFU_ValidateMetadata</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gae4eed95b94cdb006c79e2036f01d7fc4"><name>Cy_DFU_ValidateApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6e8ba375e3199d481b534deaca54f514"><name>Cy_DFU_GetRunningApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga17d8b5157dc842d05115cf41fef4221d"><name>Cy_DFU_GetAppMetadata</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga4e2ab4649104775358b885daada90b11"><name>Cy_DFU_CopyApp</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga6e0defdaf9adb2e5663dc6144dc6823a"><name>Cy_DFU_OnResetApp0</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga9709777e59f6cbdc9ca70c1ca041e414"><name>Cy_DFU_ReadData</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga9f589c0df780bd29477ab4d73cf4063b"><name>Cy_DFU_WriteData</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga90b9eb04aca4959c02e313aca13414ca"><name>Cy_DFU_TransportRead</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga47b4a59a539863b1581d4ddcce701b9e"><name>Cy_DFU_TransportWrite</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaf440cbe4ded2f8090c51fe7c23a00e8c"><name>Cy_DFU_TransportReset</name></member>
    <member kind="function" refid="group__group__dfu__functions_1ga0e7830c2493ba3b3798412ddbd826ff8"><name>Cy_DFU_TransportStart</name></member>
    <member kind="function" refid="group__group__dfu__functions_1gaa979bcdabc0bb7dc392be24a25986ca9"><name>Cy_DFU_TransportStop</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__globals"><name>group_dfu_globals</name>
  </compound>
  <compound kind="group" refid="group__group__dfu__data__structs"><name>group_dfu_data_structs</name>
  </compound>
  <compound kind="group" refid="group__group__dfu__enums"><name>group_dfu_enums</name>
    <member kind="enum" refid="group__group__dfu__enums_1gafcff247e9cb8dc6c1282873b0d2dae1b"><name>cy_en_dfu_status_t</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba225cb8ce9902215fa03c9b0c77ac6e23"><name>CY_DFU_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba5ec17ddd14f6e0a3ac1ad893d3cef065"><name>CY_DFU_ERROR_VERIFY</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1baf5a9d2e477350fb87bdeb68155539051"><name>CY_DFU_ERROR_LENGTH</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba86e79bb94c1d096f3d897816f96fcfe9"><name>CY_DFU_ERROR_DATA</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1baf79dc4ab2ec0a5a8bf54b7f890e03c79"><name>CY_DFU_ERROR_CMD</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1bacad1c5902859d988b3de84e954e9b229"><name>CY_DFU_ERROR_CHECKSUM</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba6f249e03bb0423c688c1112bfb9e8430"><name>CY_DFU_ERROR_ADDRESS</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1badccb00d92664320cfae8448b0811eb09"><name>CY_DFU_ERROR_TIMEOUT</name></member>
    <member kind="enumvalue" refid="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1bae652f76c7eb8948ed28f2c3c73868e1f"><name>CY_DFU_ERROR_UNKNOWN</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__macro__state"><name>group_dfu_macro_state</name>
    <member kind="define" refid="group__group__dfu__macro__state_1ga76b0c3dd7c206fa94c2c93c44f1517c0"><name>CY_DFU_STATE_NONE</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1gac52da0b4bc0d00ccef1726e7ab639817"><name>CY_DFU_STATE_UPDATING</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1ga75352e8101b5fe7c4de37f86b06f1d18"><name>CY_DFU_STATE_FINISHED</name></member>
    <member kind="define" refid="group__group__dfu__macro__state_1gab0ee6f2a05184dcf2ded6f3e1c6ff74b"><name>CY_DFU_STATE_FAILED</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__macro__commands"><name>group_dfu_macro_commands</name>
    <member kind="define" refid="group__group__dfu__macro__commands_1gade4dad61ecfa46841e8c233414aef58d"><name>CY_DFU_CMD_ENTER</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gab810488eee0b2be140ac6d80d1497097"><name>CY_DFU_CMD_EXIT</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga7e69153d520986ec83d57d7f43b4fd30"><name>CY_DFU_CMD_PROGRAM_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga339c291d89a191150b80818bcf4ee839"><name>CY_DFU_CMD_VERIFY_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gafeae8b3b009e4cad8e7bb098fd43856a"><name>CY_DFU_CMD_ERASE_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gad917390699bec1874b2011e7be8ecddd"><name>CY_DFU_CMD_VERIFY_APP</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga210f6fadc9b1684177b1c7054a6002a6"><name>CY_DFU_CMD_SEND_DATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga5b40dd7762112cca355e6f9a9270b3f7"><name>CY_DFU_CMD_SEND_DATA_WR</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga43945ee3541dc8a39cbe631b72165c7e"><name>CY_DFU_CMD_SYNC</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1gac36e608a3343309f5c0a80c806a654a0"><name>CY_DFU_CMD_SET_APP_META</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga684f282c762894a5e4a785fc54dc65b1"><name>CY_DFU_CMD_GET_METADATA</name></member>
    <member kind="define" refid="group__group__dfu__macro__commands_1ga84d59b1fe91358caf8ae4cb4a50c12ea"><name>CY_DFU_CMD_SET_EIVECTOR</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__macro__ioctl"><name>group_dfu_macro_ioctl</name>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1ga7a6f678bbcde1486b640a5f0369b759e"><name>CY_DFU_IOCTL_READ</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1ga30c475dbb8c5d1d859b921cbc4cd08dd"><name>CY_DFU_IOCTL_COMPARE</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1gaaf799df3933c7ad48b14c957ba0072a9"><name>CY_DFU_IOCTL_WRITE</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1gad2c488236c6ad51d7610204a04bfcee0"><name>CY_DFU_IOCTL_ERASE</name></member>
    <member kind="define" refid="group__group__dfu__macro__ioctl_1ga1a38e8058ec5a70fac11017d046f8253"><name>CY_DFU_IOCTL_BHP</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__macro__response__size"><name>group_dfu_macro_response_size</name>
    <member kind="define" refid="group__group__dfu__macro__response__size_1ga4ef7793a5b1054343c7acf20931efa8e"><name>CY_DFU_RSP_SIZE_0</name></member>
    <member kind="define" refid="group__group__dfu__macro__response__size_1gac4aae8982692f775949c290d5987cb3c"><name>CY_DFU_RSP_SIZE_VERIFY_APP</name></member>
  </compound>
  <compound kind="group" refid="group__group__dfu__globals__external__elf__symbols"><name>group_dfu_globals_external_elf_symbols</name>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1gae0e852673d2951403b49981fd433682b"><name>__cy_boot_metadata_addr</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1ga3a143bca5e1f8d9cf1b30d81fcb61f9c"><name>__cy_boot_metadata_length</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1ga535abf3fe9e92ff3a992dd501c462bf8"><name>__cy_product_id</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1ga1a0f0de51984fd00d4a54d8a47dfed4e"><name>__cy_checksum_type</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1gaa78b6fdd28920c53938e818ecea744db"><name>__cy_app_id</name></member>
    <member kind="variable" refid="group__group__dfu__globals__external__elf__symbols_1gabb7c74d6ad011f0553d02020bb5eb821"><name>__cy_app_core1_start_addr</name></member>
  </compound>
  <compound kind="dir" refid="dir_9f351d46ce3cc29445a41dc3a31e6919"><name>config</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>